> Calendly developer docs. For page Markdown, append .md to any URL.
> Index: https://developer.calendly.com/llms.txt
> API catalog: https://developer.calendly.com/.well-known/api-catalog
> OpenAPI: https://developer.calendly.com/openapi/calendly-api.yaml
> OAuth authorization server: https://calendly.com/.well-known/oauth-authorization-server
> MCP protected resource: https://mcp.calendly.com/.well-known/oauth-protected-resource
> Scheduling MCP endpoint: https://mcp.calendly.com
> Docs search MCP: https://developer.calendly.com/_mcp/server

# List activity log entries

GET https://api.calendly.com/activity_log_entries

> This endpoint requires an Enterprise subscription.

> `activity_log:read`

Returns a list of activity log entries

Reference: https://developer.calendly.com/api-docs/calendly-api/activity-log/list-activity-log-entries

## Authentication

- `Authorization` header (bearer token, required) — OAuth 2.0
- `Authorization` header (bearer token, required) — Personal Access Token

## Request

### Query parameters

- `organization` (string, required) — Return activity log entries from the organization associated with this URI
- `search_term` (string, optional) — Filters entries based on the search term. Supported operators: - `|` - to allow filtering by one term or another. Example: `this | that` - `+` - to allow filtering by one term and another. Example: `this + that` - `"` - to allow filtering by an exact search term. Example: `"email@website.com"` - `-` - to omit specific terms from results. Example: `Added -User` - `()` - to allow specifying precedence during a search. Example: `(this + that) OR (person + place)` - `*` - to allow prefix searching. Example `*@other-website.com`
- `actor` (list of string, optional) — Return entries from the user(s) associated with the provided URIs
- `sort` (list of enum, optional, default: ["occurred_at:desc"]) — Order results by the specified field and direction. List of \{field}:\{direction} values.
  - Allowed values: `action:asc`, `action:desc`, `actor.display_name:asc`, `actor.display_name:desc`, `actor.uri:asc`, `actor.uri:desc`, `namespace:asc`, `namespace:desc`, `occurred_at:asc`, `occurred_at:desc`
- `min_occurred_at` (string, optional) — Include entries that occurred after this time (sample time format: "2020-01-02T03:04:05.678Z"). This time should use the UTC timezone.
- `max_occurred_at` (string, optional) — Include entries that occurred prior to this time (sample time format: "2020-01-02T03:04:05.678Z"). This time should use the UTC timezone.
- `page_token` (string, optional) — The token to pass to get the next portion of the collection
- `count` (integer, optional, default: 20) — The number of rows to return
- `namespace` (list of string, optional) — The categories of the entries
- `action` (list of string, optional) — The action(s) associated with the entries

## Response

### 200

OK

- `collection` (list of Entry, required) — The set of activity log entries matching the criteria
- `pagination` (Pagination, required)
- `total_count` (integer, required) — Total number of records based on search criteria
- `exceeds_max_total_count` (boolean, required) — If there are more search results than the total_count field indicates, pagination will continue to return results past the total_count field value.
- `last_event_time` (string, optional, nullable) — The date and time of the newest entry (format: "2020-01-02T03:04:05.678Z") in the collection array.

## Errors

### 400 Bad Request Error

Request is not valid

- `title` (enum, required)
  - Allowed values: `Internal Server Error`
- `message` (enum, required)
  - Allowed values: `The server encountered an unexpected condition that prevented it from fulfilling the request.`
- `details` (list of ErrorResponseDetailsItem, optional)

### 403 Forbidden Error

Permission Denied or insufficient scope

- `List-activity-log-entriesRequestForbiddenError`

### 404 Not Found Error

Requested resource not found

- `title` (enum, required)
  - Allowed values: `Internal Server Error`
- `message` (enum, required)
  - Allowed values: `The server encountered an unexpected condition that prevented it from fulfilling the request.`
- `details` (list of ErrorResponseDetailsItem, optional)

### 500 Internal Server Error

An error has occurred on the server

- `title` (enum, required)
  - Allowed values: `Internal Server Error`
- `message` (enum, required)
  - Allowed values: `The server encountered an unexpected condition that prevented it from fulfilling the request.`
- `details` (list of ErrorResponseDetailsItem, optional)

## Types

### Entry

Object for a created activity log record

- `occurred_at` (string, required) — The date and time of the entry (format: "2020-01-02T03:04:05.678Z").
- `details` (EntryDetails, required)
- `fully_qualified_name` (string, required)
- `uri` (string, required)
- `namespace` (string, required)
- `action` (string, required)
- `organization` (string, required)
- `actor` (Actor, optional) — The Calendly actor that took the action creating the activity log entrySpecific actors:Calendly SystemUsed when an action is performed by the Calendly system and not triggered directly by a user interaction.Example:```json { "display_name": "Calendly System", "type": "System" } ```Calendly Support Used when an action is performed by Calendly support.Example:```json { "display_name": "Calendly Support", "organization": { "uri": "https://api.calendly.com/organizations/AAAAAAAAAAAAAAAA" }, "type": "User", "uri": "https://api.calendly.com/users/AAAAAAAAAAAAAAAA" } ```

### Pagination

- `count` (integer, required) — The number of rows to return
- `next_page` (string, required, nullable) — URI to return the next page of an ordered list ("null" indicates no additional results are available)
- `previous_page` (string, required, nullable) — URI to return the previous page of an ordered list ("null" indicates no additional results are available)
- `next_page_token` (string, required, nullable) — Token to return the next page of an ordered list ("null" indicates no additional results are available)
- `previous_page_token` (string, required, nullable) — Token to return the previous page of an ordered list ("null" indicates no additional results are available)

### ErrorResponseDetailsItem

- `message` (string, required)
- `parameter` (string, optional)
- `code` (string, optional)

### EnterpriseOwnerAdminError

Permission Denied

- `title` (enum, optional)
  - Allowed values: `Permission Denied`
- `message` (enum, optional)
  - Allowed values: `Please upgrade your Calendly account to Enterprise.`, `You do not have permission to access this resource.`

### InsufficientScopeError

Caller does not have required oauth scopes

- `title` (enum, required)
  - Allowed values: `Insufficient scope`
- `message` (enum, required)
  - Allowed values: `This operation requires the scopes listed in the 'required_scopes' array.`
- `required_scopes` (list of string, required)

### EntryDetails

### Actor

The Calendly actor that took the action creating the activity log entrySpecific actors:Calendly SystemUsed when an action is performed by the Calendly system and not triggered directly by a user interaction.Example:```json { "display_name": "Calendly System", "type": "System" } ```Calendly Support Used when an action is performed by Calendly support.Example:```json { "display_name": "Calendly Support", "organization": { "uri": "https://api.calendly.com/organizations/AAAAAAAAAAAAAAAA" }, "type": "User", "uri": "https://api.calendly.com/users/AAAAAAAAAAAAAAAA" } ```

- `type` (string, required) — The type of actor
- `uri` (string, optional) — Canonical reference (unique identifier) for the user
- `organization` (ActorOrganization, optional)
- `group` (ActorGroup, optional) — User group information about the actor
- `display_name` (string, optional) — The user's name (human-readable format)
- `alternative_identifier` (string, optional) — Username of the actor

### ActorOrganization

- `uri` (string, optional) — Canonical reference (unique identifier) for the organization
- `role` (string, optional) — The actors' role in the organization

### ActorGroup

User group information about the actor

- `uri` (string, optional) — Canonical reference (unique identifier) for the user group
- `name` (string, optional) — Name of the user group
- `role` (string, optional) — The actor's role in the user group

## Examples

**Response**

```json
{
  "collection": [
    {
      "occurred_at": "2020-01-02T03:04:05.678Z",
      "details": {},
      "fully_qualified_name": "User.Add",
      "uri": "https://api.calendly.com/activity_log_entries/AAAAAAAAAAAAAAAA",
      "namespace": "User",
      "action": "Add",
      "organization": "https://api.calendly.com/organizations/AAAAAAAAAAAAAAAA",
      "actor": {
        "type": "User",
        "uri": "https://api.calendly.com/users/AAAAAAAAAAAAAAAA",
        "organization": {
          "uri": "https://api.calendly.com/organizations/AAAAAAAAAAAAAAAA",
          "role": "Owner"
        },
        "group": {
          "uri": "https://api.calendly.com/groups/AAAAAAAAAAAAAAAA",
          "name": "Development",
          "role": "Admin"
        },
        "display_name": "Test User",
        "alternative_identifier": "testuser@example.com"
      }
    }
  ],
  "pagination": {
    "count": 20,
    "next_page": "https://api.calendly.com/activity_log?page_token=sNjq4TvMDfUHEl7zHRR0k0E1PCEJWvdi",
    "previous_page": "https://api.calendly.com/activity_log?page_token=dGhpcyBpcyBvbmx5IGFuIGV4YW1wbGUgc3RyaW5n",
    "next_page_token": "sNjq4TvMDfUHEl7zHRR0k0E1PCEJWvdi",
    "previous_page_token": "dGhpcyBpcyBvbmx5IGFuIGV4YW1wbGUgc3RyaW5n"
  },
  "total_count": 1,
  "exceeds_max_total_count": false,
  "last_event_time": "2020-01-02T03:04:05.678Z"
}
```

**SDK Code**

```python Activity log entries
import requests

url = "https://api.calendly.com/activity_log_entries"

querystring = {"max_occurred_at":"2020-01-02T12:30:00Z","min_occurred_at":"2020-01-02T12:30:00Z","organization":"https://api.calendly.com/organizations/AAAAAAAAAAAAAAAA","search_term":"compliance","sort":"occurred_at:asc"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Activity log entries
const url = 'https://api.calendly.com/activity_log_entries?max_occurred_at=2020-01-02T12%3A30%3A00Z&min_occurred_at=2020-01-02T12%3A30%3A00Z&organization=https%3A%2F%2Fapi.calendly.com%2Forganizations%2FAAAAAAAAAAAAAAAA&search_term=compliance&sort=occurred_at%3Aasc';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Activity log entries
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.calendly.com/activity_log_entries?max_occurred_at=2020-01-02T12%3A30%3A00Z&min_occurred_at=2020-01-02T12%3A30%3A00Z&organization=https%3A%2F%2Fapi.calendly.com%2Forganizations%2FAAAAAAAAAAAAAAAA&search_term=compliance&sort=occurred_at%3Aasc"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Activity log entries
require 'uri'
require 'net/http'

url = URI("https://api.calendly.com/activity_log_entries?max_occurred_at=2020-01-02T12%3A30%3A00Z&min_occurred_at=2020-01-02T12%3A30%3A00Z&organization=https%3A%2F%2Fapi.calendly.com%2Forganizations%2FAAAAAAAAAAAAAAAA&search_term=compliance&sort=occurred_at%3Aasc")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Activity log entries
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.calendly.com/activity_log_entries?max_occurred_at=2020-01-02T12%3A30%3A00Z&min_occurred_at=2020-01-02T12%3A30%3A00Z&organization=https%3A%2F%2Fapi.calendly.com%2Forganizations%2FAAAAAAAAAAAAAAAA&search_term=compliance&sort=occurred_at%3Aasc")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Activity log entries
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.calendly.com/activity_log_entries?max_occurred_at=2020-01-02T12%3A30%3A00Z&min_occurred_at=2020-01-02T12%3A30%3A00Z&organization=https%3A%2F%2Fapi.calendly.com%2Forganizations%2FAAAAAAAAAAAAAAAA&search_term=compliance&sort=occurred_at%3Aasc', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Activity log entries
using RestSharp;

var client = new RestClient("https://api.calendly.com/activity_log_entries?max_occurred_at=2020-01-02T12%3A30%3A00Z&min_occurred_at=2020-01-02T12%3A30%3A00Z&organization=https%3A%2F%2Fapi.calendly.com%2Forganizations%2FAAAAAAAAAAAAAAAA&search_term=compliance&sort=occurred_at%3Aasc");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Activity log entries
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.calendly.com/activity_log_entries?max_occurred_at=2020-01-02T12%3A30%3A00Z&min_occurred_at=2020-01-02T12%3A30%3A00Z&organization=https%3A%2F%2Fapi.calendly.com%2Forganizations%2FAAAAAAAAAAAAAAAA&search_term=compliance&sort=occurred_at%3Aasc")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```